Support » Plugin: Limit Max IPs Per User » Not working with the latest version of WordPress

  • Resolved metikar

    (@metikar)


    Hi
    Thank you for this amazing plugin, we have been using it since 2 years, but with the latest updates of WordPress we start facing a non-functioning (Clear user’s recorded IPs) button, with an error of

    Uncaught TypeError: jQuery(…).live is not a function
    at user-edit.js?ver=

    Is there any plan to upgrade this plugin to make it working again? as of it’s importance for many websites including mine 🙂

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author ralxz

    (@ralxz)

    Hey metikar, thanks for your message.

    I forgot about this plugin! I uploaded it 5 years ago and haven’t updated it since. I wasn’t sure if anyone was actually using it 🙂

    It looks like WordPress updated their version of jQuery so I need to update the function in includes/pages/user-edit/user-edit.js from jQuery.live( to jQuery.on(. If you want to try it on your side and see if it fixes the issue, that would be great. I’ll see if I can get to updating the plugin sometime this weekend.

    Plugin Author ralxz

    (@ralxz)

    I have uploaded v1.1 of the plugin which should fix the issue, please let me know if you encounter any other problems 🙂

    Thread Starter metikar

    (@metikar)

    Thank you sir for ​your rapid response 😊 , Yes the new update fixed the issue 👍, Thank you again 😁

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Not working with the latest version of WordPress’ is closed to new replies.